## flipclock 0.9.7-4

=== Makefile ===
#
# Crude Makefile for flipclockC
#
DESTDIR=/

DESTDIR=/

# define a list of pkg-config packages we want to use
#pkg_packages := glib-2.0 gconf-2.0 libosso libalarm gtk+-2.0 gstreamer-0.10 hildon-fm-2
pkg_packages := $(if $(shell pkg-config --libs --silence-errors libosso), glib-2.0 gconf-2.0 libosso gtk+-2.0 gstreamer-0.10 hildon-fm-2, glib-2.0 gconf-2.0 gtk+-2.0 gstreamer-0.10)

#alarm packages for Maemo 4.x
libAlarmName := $(if $(shell pkg-config --libs --silence-errors libalarm), libalarm, alarm)
alarmD2 := $(if $(shell pkg-config --libs --silence-errors alarm), -DALARMD2=1,)

#alarmSync_packages := $(if $(shell pkg-config --libs --silence-errors libalarm), glib-2.0 libosso libalarm, glib-2.0)
#test for Maemo 5
alarmSync_packages := $(if $(shell pkg-config --libs --silence-errors $(libAlarmName)), glib-2.0 libosso $(libAlarmName), glib-2.0)


fmRadio_packages := $(if $(shell pkg-config --libs --silence-errors libosso), glib-2.0 libosso, glib-2.0)

THEMEPATH := /usr/share/flipclockC/themes/
MEDIAPATH := /usr/share/flipclockC/media/

PKG_CFLAGS  := $(shell pkg-config --cflags $(pkg_packages))
PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))

PKG_AS_CFLAGS := $(shell pkg-config --cflags $(alarmSync_packages))
PKG_AS_LDFLAGS := $(shell pkg-config --libs $(alarmSync_packages))

PKG_FM_CFLAGS := $(shell pkg-config --cflags $(fmRadio_packages))
PKG_FM_LDFLAGS := $(shell pkg-config --libs $(fmRadio_packages))

# Add warnings and debugging info
ADD_CFLAGS := -g -Wall `sdl-config --cflags`
ADD_LFLAGS := `sdl-config --libs`

#Add other libraries that aren't available from pkg-config
ADD_LIBS := -lSDL_image -lSDL_ttf -lSDL_gfx

ADD_HEADER := $(if $(shell pkg-config --libs --silence-errors libosso), -DHAS_OSSO=\"1\",)


# Combine
CFLAGS  := $(PKG_CFLAGS) $(ADD_CFLAGS) $(CFLAGS)
LDFLAGS := $(PKG_LDFLAGS) $(ADD_LFLAGS) $(LDFLAGS)

#targets = flipclock flipAlarmSync flipFMRadio
targets = $(if $(shell pkg-config --libs --silence-errors libosso), flipclock flipAlarmSync flipFMRadio, flipclock)

all: $(targets)

# For simple one-file programs, combining both compiling and linking
# makes sense.
#
# PROGNAME = name of program to prefix to all printout in program
# ProgName = name of program to use for LibOSSO registration and user
#            visible dialogs/infoprints.
flipclock: fc4.c

	$(CC) $(CFLAGS) -DPROGNAME=\"$@\" -DPROGVERSION=\"2.0\" \
	 -DDEBUGENABLED=1 -DMEDIAPATH=\"$(MEDIAPATH)\" \
	-DTHEMESPATH=\"$(THEMEPATH)\" \
	-DPREFSPATH=\"/home/user/\"  $(ADD_HEADER) \
          $< -o $@ $(LDFLAGS) $(ADD_LIBS) 

flipAlarmSync: fcAlarmSync.c
	$(CC) $(PKG_AS_CFLAGS) -DPREFSPATH=\"/home/user/\" $(alarmD2) \
 	$< -o $@ $(PKG_AS_LDFLAGS) 

flipFMRadio: fcFMRadio.c
	$(CC) $(PKG_FM_CFLAGS) $< -o $@ $(PKG_FM_LDFLAGS)

.PHONY: clean all
clean:
	$(RM) $(targets)

install:
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/flipclockC
	mkdir -p $(DESTDIR)/usr/share/applications/hildon
	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon
	mkdir -p $(DESTDIR)$(MEDIAPATH)
	mkdir -p $(DESTDIR)$(THEMEPATH)
	#cp -rf media/* $(DESTDIR)$(MEDIAPATH)
	#cp -rf themes/* $(DESTDIR)$(THEMEPATH)

	cp -rf bin/* $(DESTDIR)/usr/bin
	cp -rf shareSrc/* $(DESTDIR)/usr/share 
	install $(targets) $(DESTDIR)/usr/sbin

## flipclock 0.1.6-2

=== debian/changelog ===
flipclock (0.1.6-2) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Tue, 24 Mar 2009 00:52:47 +0000

=== debian/control ===
Source: flipclock
Section: user/utilities
Priority: extra
Maintainer: Rob Williams <rob@jumpnetworks.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: flipclock
Architecture: all
Depends: python2.5 (>= 2.5.1-1osso5),  python2.5-osso, python2.5-hildon, python2.5-pygame, python2.5-gstreamer
Description: Full screen finger friendly alarm clock.
 Two different 'skin' and 7 alarm sets.
 Full AlarmD Integration and customization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/flipclock" install
	mkdir -p "$(CURDIR)/debian/flipclock"

#	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/__init__.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/__init__.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_alarm.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarm.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_alarm.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarm.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_clock.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_clock.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_clock.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_clock.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_config.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_config.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_dbus.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_dbus.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_events.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_events.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_events.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_events.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_flip.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_flip.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_flip.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_flip.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_gfx.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_gfx.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_gfx_ok.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx_ok.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_init.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_init.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_init.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_init.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_input.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_input.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_input.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_input.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayerDumb.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayerDumb.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_mood.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mood.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/ci_mood.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mood.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "src/usr/lib/python2.5/site-packages/flipclock/flipclock.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/flipclock.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"

## flipclock 0.1.9-2

=== debian/changelog ===
flipclock (0.1.9-2) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Wed, 01 Apr 2009 15:13:40 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/flipclock" install
	mkdir -p "$(CURDIR)/debian/flipclock"

#	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/__init__.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/__init__.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarm.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarm.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarm.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarm.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_buttons.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_buttons.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_clock.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_clock.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_clock.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_clock.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_config.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_config.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_dbus.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_dbus.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_events.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_events.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_events.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_events.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_flip.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_flip.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_flip.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_flip.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_gfx.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_gfx.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_gfx_ok.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx_ok.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_init.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_init.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_init.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_init.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_input.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_input.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_input.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_input.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_labels.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_labels.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"

## flipclock 0.2.0-1

=== debian/changelog ===
flipclock (0.2.0-1) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 03 Apr 2009 13:36:31 +0000

=== debian/rules ===
--- 
+++ 
@@ -51,10 +51,6 @@
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
 	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py"
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
-	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarm.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarm.py"
-	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
-	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarm.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarm.pyc"
-	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
 	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py"
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
 	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py"
@@ -72,10 +68,6 @@
 	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py"
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
 	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py"
-	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
-	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_events.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_events.py"
-	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
-	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_events.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_events.pyc"
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
 	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py"
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
@@ -101,3 +93,11 @@
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
 	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py"
 	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
+	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayerDumb.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayerDumb.py"
+	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
+	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_mood.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mood.py"
+	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
+	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/ci_mood.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mood.pyc"
+	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
+	cp -a "svnRepo/trunk/data/usr/lib/python2.5/site-packages/flipclock/flipclock.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/flipclock.py"
+	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"

## flipclock 0.2.1-1

=== debian/changelog ===
flipclock (0.2.1-1) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Wed, 29 Apr 2009 09:54:27 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: flipclock
 Architecture: all
-Depends: python2.5 (>= 2.5.1-1osso5),  python2.5-osso, python2.5-hildon, python2.5-pygame, python2.5-gstreamer
+Depends: python2.5 (>= 2.5.1-1osso5),  python2.5-osso, python2.5-hildon, python2.5-pygame, python2.5-gstreamer, python2.5-dbus
 Description: Full screen finger friendly alarm clock.
  Two different 'skin' and 7 alarm sets.
  Full AlarmD Integration and customization

## flipclock 0.2.4-1

=== debian/changelog ===
flipclock (0.2.4-1) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Tue, 28 Jul 2009 08:57:48 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/flipclock" install
	mkdir -p "$(CURDIR)/debian/flipclock"

#	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/!.png" "$(CURDIR)/debian/flipclock/share/flipclock/!.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/.flipclock.conf" "$(CURDIR)/debian/flipclock/share/flipclock/.flipclock.conf"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/0.png" "$(CURDIR)/debian/flipclock/share/flipclock/0.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/1.png" "$(CURDIR)/debian/flipclock/share/flipclock/1.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/10.png" "$(CURDIR)/debian/flipclock/share/flipclock/10.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/11.png" "$(CURDIR)/debian/flipclock/share/flipclock/11.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/12.png" "$(CURDIR)/debian/flipclock/share/flipclock/12.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/1224.png" "$(CURDIR)/debian/flipclock/share/flipclock/1224.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/13-orig.png" "$(CURDIR)/debian/flipclock/share/flipclock/13-orig.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/13.png" "$(CURDIR)/debian/flipclock/share/flipclock/13.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/14.png" "$(CURDIR)/debian/flipclock/share/flipclock/14.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/15.png" "$(CURDIR)/debian/flipclock/share/flipclock/15.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/16.png" "$(CURDIR)/debian/flipclock/share/flipclock/16.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/17-orig.png" "$(CURDIR)/debian/flipclock/share/flipclock/17-orig.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/17.png" "$(CURDIR)/debian/flipclock/share/flipclock/17.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/2.png" "$(CURDIR)/debian/flipclock/share/flipclock/2.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/3.png" "$(CURDIR)/debian/flipclock/share/flipclock/3.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/4.png" "$(CURDIR)/debian/flipclock/share/flipclock/4.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/5.png" "$(CURDIR)/debian/flipclock/share/flipclock/5.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/6.png" "$(CURDIR)/debian/flipclock/share/flipclock/6.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/7.png" "$(CURDIR)/debian/flipclock/share/flipclock/7.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/8.png" "$(CURDIR)/debian/flipclock/share/flipclock/8.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/9.png" "$(CURDIR)/debian/flipclock/share/flipclock/9.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a0.png" "$(CURDIR)/debian/flipclock/share/flipclock/a0.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a1.png" "$(CURDIR)/debian/flipclock/share/flipclock/a1.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a2.png" "$(CURDIR)/debian/flipclock/share/flipclock/a2.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a3.png" "$(CURDIR)/debian/flipclock/share/flipclock/a3.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a4.png" "$(CURDIR)/debian/flipclock/share/flipclock/a4.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a5.png" "$(CURDIR)/debian/flipclock/share/flipclock/a5.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a6.png" "$(CURDIR)/debian/flipclock/share/flipclock/a6.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a7.png" "$(CURDIR)/debian/flipclock/share/flipclock/a7.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a8.png" "$(CURDIR)/debian/flipclock/share/flipclock/a8.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/a9.png" "$(CURDIR)/debian/flipclock/share/flipclock/a9.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/about.png" "$(CURDIR)/debian/flipclock/share/flipclock/about.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/aboutlight.png" "$(CURDIR)/debian/flipclock/share/flipclock/aboutlight.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/alarmChooserOff.png" "$(CURDIR)/debian/flipclock/share/flipclock/alarmChooserOff.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/alarmChooserOn.png" "$(CURDIR)/debian/flipclock/share/flipclock/alarmChooserOn.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/alarmIconOff.png" "$(CURDIR)/debian/flipclock/share/flipclock/alarmIconOff.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/alarmIconOn.png" "$(CURDIR)/debian/flipclock/share/flipclock/alarmIconOn.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/all_off.png" "$(CURDIR)/debian/flipclock/share/flipclock/all_off.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/all_on.png" "$(CURDIR)/debian/flipclock/share/flipclock/all_on.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/ampm.png" "$(CURDIR)/debian/flipclock/share/flipclock/ampm.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/base.png" "$(CURDIR)/debian/flipclock/share/flipclock/base.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/fondo.png" "$(CURDIR)/debian/flipclock/share/flipclock/fondo.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"
	cp -a "data/usr/share/flipclock/fondoalarmB.png" "$(CURDIR)/debian/flipclock/share/flipclock/fondoalarmB.png"
	mkdir -p "$(CURDIR)/debian/flipclock/share/flipclock/"

## flipclock 0.2.4-5

=== debian/changelog ===
flipclock (0.2.4-5) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 07 Aug 2009 09:56:01 +0000

=== debian/control ===
--- 
+++ 
@@ -9,5 +9,5 @@
 Architecture: all
 Depends: python2.5 (>= 2.5.1-1osso5),  python2.5-osso, python2.5-hildon, python2.5-pygame, python2.5-gstreamer, python2.5-dbus
 Description: Full screen finger friendly alarm clock.
- Two different 'skin' and 7 alarm sets.
+ Three different 'skin' and 7 alarm sets.
  Full AlarmD Integration and customization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/flipclock" install
	mkdir -p "$(CURDIR)/debian/flipclock"

#	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/__init__.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/__init__.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/alarmdModule.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmD.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_alarmNew.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_buttons.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_buttons.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_clock.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_clock.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_clock.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_clock.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_config.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_config.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_dbus.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_dbus.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_deviceMonitor.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventHandlers.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_eventsNew.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_flip.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_flip.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_flip.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_flip.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_gfx.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_gfx.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_gfx_ok.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_gfx_ok.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_init.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_init.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_init.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_init.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_input.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_input.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_input.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_input.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_labels.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_labels.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayer.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayerDumb.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mediaPlayerDumb.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_mood.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mood.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/ci_mood.pyc" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/ci_mood.pyc"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/flipclock.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/flipclock.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/"
	cp -a "data/usr/lib/python2.5/site-packages/flipclock/gconftool.py" "$(CURDIR)/debian/flipclock/usr/lib/python2.5/site-packages/flipclock/gconftool.py"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/share/flipclock/nixie/"
	cp -a "data/usr/share/flipclock/nixie/0.png" "$(CURDIR)/debian/flipclock/usr/share/flipclock/nixie/0.png"
	mkdir -p "$(CURDIR)/debian/flipclock/usr/share/flipclock/nixie/"

## flipclock 0.9.5

=== debian/changelog ===
flipclock (0.9.5) stable; urgency=low

  Bug fixes for Insomniac mode; added new alarm handling support
  Fixed up theme graphics for day theme (again)
  Removed settings buttons from main clock theme interface
  Added automatic ending alarms
  Minor bug fixes

 -- Rob Williams <rob@jumpnetworks.net>  Tues, 19 Nov 2009 15:22:01 +0000

flipclock (0.9.4-2) stable; urgency=low

  Fixed missing blank digit for night theme
  Rebuilt Insomniac mode to support uber low dimming
  Fixed up theme graphics for day theme
  Added settings buttons to main clock theme interface
  Minor bug fixes

 -- Rob Williams <rob@jumpnetworks.net>  Tues, 10 Nov 2009 15:22:01 +0000

flipclock (0.9.3-3) stable; urgency=low

  Fixed makefile error that was causing installation problems.
  Fixed night theme digits.
  Fixed reoccuring snooze problem
  Fixed alarm display/countdown problem for Simple alarm mode

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 30 Oct 2009 15:22:01 +0000

flipclock (0.9.3-2) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 30 Oct 2009 12:56:01 +0000

flipclock (0.9.3) stable; urgency=low

  Fixed lots of things.

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 07 Aug 2009 09:56:01 +0000

=== debian/control ===
Source: flipclock
Section: user/utilities
Priority: Optional
Maintainer: Rob Williams <rob@jumpnetworks.net>
Build-Depends: libglib2.0-dev,libgconf2-dev,libosso-dev,libalarm-dev,libgtk2.0-dev,libgstreamer0.10-dev,libhildonfm2-dev,libsdl1.2-dev,libsdl-image1.2-dev,libsdl-gfx1.2-dev,libsdl-ttf2.0-dev
Standards-Version: 0.9.5

Package: flipclock
Depends: libglib2.0-0,libgconf2-6,libosso1,libalarm0,libgtk2.0-0,libgstreamer0.10-0,libhildonfm2,libsdl1.2,libsdl-image1.2,libsdl-gfx1.2-4,libsdl-ttf2.0-0
Architecture: any
Description: Flip Alarm Clock C - 0.9.5 Beta 
 Full screen finger friendly alarm clock, rebuilt.
 Full AlarmD Integration and customization including
 additional theme support.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADsAAAA8CAMAAADv/jI5AAADAFBMVEW+AADe3t7s7Oy2trasrKzW
 1tbp6emlpaWdnZ3Ozs6+vr6VlZWDg4OUAADGxsZzc3OMjIzTVFRsbGz///8DAwMzMzNAQEB7e3tT
 U1MWFhYnJydJSUm1AABkZGRcXFytAACdAAD4+PiFAADQTU3VW1vbqqrWX1/LMDDHIyPFGhqlAAAi
 IiI6OjqLAAC/CAgRERHDERHIKSm1EBCsGRm1GBi1Kiq1Bwe+ICC0ISG8EBCeQUHFUlK9GBilIiLF
 Skq0Y2POUlKrKSm8a2u+SkqkSEisQkK1Skq+KSnJqanOWlqtISGUEBCcEBCkGRnMnp6dICC+UlKu
 Dw+UGRmMERHFk5PVpqacFxekU1PHWlqtSkp8AQGLCQmVCgqeS0ufioqeUVGmKCishYWLGRmdCgq1
 Q0OkQkKyfn62T092ERGNbGyTKiqWICCbOjrOa2utW1u+ioqcW1vGfHzOioqGEBCKICClOjrbk5O+
 lJSuCAimfHxzGRm5amq0g4OFGBitZGRSOjqECAjGmprUqqqffHzRo6OOMjKvdHSjEhK6hobAdHSO
 QECUWlqGSkqBISHem5u1jY18b29+CAiRMTGubW1zMDCKXV3Lg4N6GhqVREStpaV9EBCvOTnLY2N7
 Tk50bGyfKCieNDR8Y2NbQUFrWFiflpaOJibFY2PJtbV0WVmKh4d7QECLOTmWbW12Y2N0R0eviIh3
 PDy+enqtT0+8Li7KurqGNTXIpqaNcnLew8Occ3Oqf3+nWVnSjo6GWVlfLS1cLy+ehYV5KirEPz+8
 RUWijIzDhISjYGDMxMR8XFx8c3NvIyOmgYGxXl7TkZFHPT2FX1/CdXWMYWGDOjpmLi53Pz8AAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAB5WI4cAAAACXBIWXMAAA7DAAAOwwHHb6hkAAAFhUlEQVR4nJ2Vi1cUVRzH77ID
 s7Mz7KxTMSuwC64ayEuRRYQVXASlBUFAQEWRh+IL1Mx32MPy0UPSLPNZerTy9NJMszrpsdKkLO2U
 /UH9fvcx7Lq4S37m7s5cls/93nvnN7vk6SfGQ6ZPHB/Tp0OLwkPy8/PTH0t+ej57j2AiNhzNQ56h
 FLAXP1mdAt5jpENLh4Zx8PKQgoKCtEQ8wDf4x9GhcFI+kpaWkZi0jLQHGWnWCMz2kYwMzzjI8Jx/
 f/ilvsXHh+/deoAjgO0l8IFvbC4R5Ft6/fXBzKysrLy8vOzs1NTjr+AEqOvzeg04vHhiDTvGpSLq
 foEfbMjMRDcL3ezUwsJbOH0f8fm8BkU3ItCNt5hKTkDvUCZzeW5qof88rN4A19Bj+auScE5Ar4RE
 uNnoroP9MwjMzkR02hjHeojFCdM8QkRuR0MeqoUYnIGubmqmxoGL9dWzSARdpnZMuEd1o4HNufOh
 B1zDq2tRvE2i6MK/cPeQrn/CXP+L1DV0zR3J84+4bnc3dUG+aer76T6j60HXjFLVR9wlbrWbb1XW
 MdMcTGW563wenbpqJD+cLi0NRLiqukTk/m2a+9k++0/5eK6qOkSjL1V9vTzCvRsoCZSUNDY2rte0
 o3yf7/l8OtF1U3XE8o1wN2GPjocr0gZ47kMvuoYW68qOu1GuJX/H68p/QbhyLO9ZLnSY3l1xrmcV
 qw3/v1Dy1HVYhiQuTg4Jdy7to9wIhZVNa3L5h1D8dL2aQxLI1tUBy5UkbpeIZ6Fw22/gek2aK8Wy
 J8JlNuSOPguf6wbOWXdDmp03cZbWjLp2btezB4mu138Bc6EkZSpFH6O5diH/WLu9UeT6f9YNlmuP
 xXKHoENtuububJ57SjdMdCW70zrExRvCnUeHkoS8kOd2cnes3AjXOVRePhNoObhbdpxjNdnZ+RF1
 VckZy6jrdA6J5xfcCpFLXXNMd7O1XqdzXiYRrlzB19v5lW4Sk7ouJ3vhGz1vLuJsdLrmFc0Cdu3K
 6pXlLpGLrmY67K5Y2oT7pst1pYjLvZJcu2rVihXLl7/67hFw3VqEq1jnthlFcEDb4nL9Wg7MmtnS
 clmSLPd3dGGbXcoItOuvPbfv+r6LIwoebTM4W5SRtnK+0XskqX/hwoaGxYu3ntJ0jahu2aVQps2Y
 BiyFqxFFaZrG2aIo++YAgUCgZY1d6j9I5a3D8DVOVFW6pijJ6FLCCu1Z7gcwVNmcMnQDf9pPVjZ2
 dLRC7j8auA5VYrnJuZQzbBJNrJcLbrLyS1lZ2eyyQH396epGdFv7+m7CzwBxwFYlU3KL4cg9wzrt
 xVy+Ae4LuSgD9ZWVlR2LWlu3DX+GubJsV9i/F1M2CpdzAzpKuK6urnR26ex6lBcNDPStd2OuJDu5
 m1OcAwg3h7MDe8qndWhXl1ZX9yw6O7DhS/jeQ1dy4qc2cHOYa8P+VOHep0MpTc1XS6+CWt3Tc7Z7
 pUN1w+8esduvgWmDZuPv7DKig26ycrHtytyhTS8f6MVHUVXhVw9cly0RKAMurHR8lmXIhQUTp3Mk
 oUtXwVz8HoBgFScNrjJOFYtd5Drc6ELh276fGpf29vam9qamvXvbdu48fPhy7x+7P2a5Lleybcfk
 RFRVVdXcvr169er5p7dvHxz8iW40gWJM2TEhPqHQ5CDINTULQJ7fXzG4km4WuLaU+1MmTJjy+CMU
 CgWDoWBVc82CBcuWze/vRxduEoGbm/LOlPiEw6FwMNjc3Lx2Lci1XRV3WC51n40HuuHw0qVBdNeC
 W9t1h+faUlKS4IiPKBB6l2hxwGYRmw3VODATXUWUB95gzEU3PmPmYnEQnHJC2ZbCg0WuTOecWE16
 NPf/uJbMFowV7cDCIkmTxkHSpKhl8wHIU0/Of5n1mNK6485oAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/flipclock


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
